Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class ItemTypeSequence

    java.lang.Object
      org.kemet.orm.castor.ItemTypeSequence

All Implemented Interfaces:
  java.io.Serializable

    public class ItemTypeSequence

extends java.lang.Object
implements java.io.Serializable

Class ItemTypeSequence.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`ItemTypeSequence()`

Method Summary
`Transliteration_` | `getTransliteration_()` Returns the value of field 'transliteration_'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `setTransliteration_(Transliteration_ transliteration_)` Sets the value of field 'transliteration_'.
`static ItemTypeSequence` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemTypeSequence

    public ItemTypeSequence()

Method Detail

### getTransliteration_

    public Transliteration_ getTransliteration_()

  Returns the value of field 'transliteration_'.

  Returns:
    the value of field 'Transliteration_'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### setTransliteration_

    public void setTransliteration_(Transliteration_ transliteration_)

  Sets the value of field 'transliteration_'.

  Parameters:
    `transliteration_` - the value of field 'transliteration_'

### unmarshal

    public static ItemTypeSequence unmarshal(java.io.Reader reader)
                                      throws org.exolab.castor.xml.MarshalException,
                                             org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.ItemTypeSequence
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.